Results 1 to 4 of 4

Thread: Ubuntu Mirror Issues

  1. #1
    Join Date
    May 2020
    Beans
    5

    Ubuntu Mirror Issues

    How can I force do-release-upgrade when Ubuntu mirrors are not synced properly? For example I just did an `apt update` and there is a package with mismatched versions published in the index:
    Code:
    $ sudo apt upgrade libodbc1
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     libodbc1 : Breaks: libodbc1:i386 (!= 2.3.7) but 2.3.6-0.1build1 is to be installed
     libodbc1:i386 : Breaks: libodbc1 (!= 2.3.6-0.1build1) but 2.3.7 is to be installed
    E: Broken packages
    I imagine 1) mirrors should be syncing from a controlled source that has done thorough dependency checking. Maybe main mirror web server can build a coherent package index in a seperate dir then ln -s to the new index if there is some sort of race condition that is producing indexes with this problem?

    2) There should be a force flag in do-release-upgrade since I don't really care about some unimportant 19.10 packages when upgrading to 20.04 which is going to use new packages anyway?

  2. #2
    Join Date
    Jun 2010
    Location
    London, England
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Ubuntu Mirror Issues

    Have you reviewed the man page for apt? If you want to force an upgrade for a specific package then check out the man page under install, reinstall, remove, purge. There might be information there that will do what you want. I do not understand how do-release-upgrade comes into this. Or what the repository mirrors have to do with it either.

    Regards.
    It is a machine. It is more stupid than we are. It will not stop us from doing stupid things.
    Ubuntu user #33,200. Linux user #530,530


  3. #3
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    11,611
    Distro
    Ubuntu

    Re: Ubuntu Mirror Issues

    What does
    Code:
    apt policy libodbc1
    show?
    There is no version 2.3.7 in any Ubuntu archive so not sure where it's coming from.
    The above output should show something.
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  4. #4
    Join Date
    May 2020
    Beans
    5

    Re: Ubuntu Mirror Issues

    IIRC the offending package was from another repository. I was later able to remove it and upgrade to 20.04.1.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •